### Method

# GtkSource View set_enable_snippets

#### Declaration [src]

    void
    gtk_source_view_set_enable_snippets (
      GtkSourceView* view,
      gboolean enable_snippets
    )

#### Description [src]

Sets the `GtkSourceView:enable-snippets` property.

If `enable_snippets` is `TRUE`, matching snippets found in the `GtkSourceSnippetManager` may be expanded when the user presses Tab after a word in the `GtkSourceView`.

Sets property | `GtkSource.View:enable-snippets`

#### Parameters

`enable_snippets`

  Type: `gboolean`

  If snippets should be enabled.